Get a business
curl --request GET \
--url https://api.nextlevelmca.com/v1/businesses/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nextlevelmca.com/v1/businesses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/businesses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"legal_name": "<string>",
"dba": "<string>",
"ein": "<string>",
"entity_type": "<string>",
"industry": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"phone": "<string>",
"email": "<string>",
"business_start_date": "<string>",
"status": "active",
"tags": [
"<string>"
],
"custom_data": {},
"primary_contact": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"deal_count": 123,
"lifetime_funded": 123,
"active_advances": 123,
"outstanding_balance": 123,
"last_activity_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"people": [
{
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"dob": "<string>",
"ssn_masked": "<string>",
"credit_score": "<string>",
"ghl_contact_id": "<string>",
"status": "active",
"created_at": "<string>",
"updated_at": "<string>",
"role": "owner",
"ownership_percent": 123,
"active": true,
"is_primary_contact": true
}
],
"deals": [
{
"id": "<string>",
"business_id": "<string>",
"business": {
"id": "<string>",
"legal_name": "<string>",
"dba": "<string>"
},
"business_name": "<string>",
"dba": "<string>",
"entity_type": "<string>",
"industry": "<string>",
"business_address": "<string>",
"business_city": "<string>",
"business_state": "<string>",
"business_zip": "<string>",
"business_phone": "<string>",
"business_start_date": "<string>",
"state_incorporated": "<string>",
"owner": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"requested_amount": 123,
"annual_revenue": 123,
"use_of_funds": "<string>",
"product_type": "mca",
"desired_term_months": 123,
"desired_frequency": "daily",
"paper_grade": "<string>",
"paper_grade_source": "<string>",
"risk_flags": {},
"status": "<string>",
"stage": {
"id": "<string>",
"label": "<string>",
"phase": "preoffer",
"sort_order": 123,
"event": "first_submission_sent"
},
"stage_entered_at": "<string>",
"days_in_stage": 123,
"primary_offer": {
"id": "<string>",
"lender_id": "<string>",
"lender_name": "<string>",
"amount": 123,
"factor_rate": 123,
"status": "<string>"
},
"originator": {
"id": "<string>",
"name": "<string>"
},
"closer": {
"id": "<string>",
"name": "<string>"
},
"source": "<string>",
"lead_source": "<string>",
"form_data": {},
"submissions_count": 123,
"offers_count": 123,
"renewal_of_deal_id": "<string>",
"renewal_of_advance_id": "<string>",
"manually_closed": true,
"closed_at": "<string>",
"closed_reason": "<string>",
"ghl_contact_id": "<string>",
"ghl_opportunity_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"advances": [
{
"id": "<string>",
"deal_id": "<string>",
"lender": {
"id": "<string>",
"name": "<string>"
},
"status": "<string>",
"funded_amount": 123,
"payback_amount": 123,
"paid_amount": 123,
"remaining_balance": 123,
"factor_rate": 123,
"payment_amount": 123,
"payment_frequency": "<string>",
"percent_paid": 123,
"renewal_threshold": 123,
"renewal_ready": true,
"funded_at": "<string>"
}
]
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Businesses
Get a business
The business with its aggregates. Add ?include=people,deals,advances to embed related records in one call.
GET
/
v1
/
businesses
/
{id}
Get a business
Authorizations
API key (nlmca_live_…) or OAuth access token
Path Parameters
Business id
Query Parameters
Comma-separated related data to embed: people (owners and contacts with their role), deals (up to 100 most recent), advances (funded advances with renewal readiness). Nothing is embedded by default.
Example:
"people,deals"
Was this page helpful?